# -*- coding: utf-8 -*-
Name:        xmbmon
Version:     205
Release:     alt9
Summary:     %name - Hardware monitoring without kernel dependencies
License:     GPL
Group:       Monitoring
URL:         http://www.nt.phys.kyushu-u.ac.jp/shimizu/download/xmbmon/xmbmon205.tar.gz
Source:      %name%version.tar.bz2
Source2:     xmbmon_16x16.xpm
Source3:     xmbmon_32x32.xpm
Source4:     xmbmon_64x64.xpm
Source5:     xmbmon_64x64-2.xpm

Patch0:      http://archive.ubuntu.com/ubuntu/pool/universe/x/xmbmon/xmbmon_2.05-2.diff.gz

# Automatically added by buildreq on Fri Apr 04 2008 (-bi)
BuildRequires: libXt-devel libICE-devel libSM-devel libX11-devel xorg-proto-devel
#BuildRequires: imake libXt-devel xorg-cf-files libICE-devel libSM-devel libX11-devel xorg-proto-devel

#B uildRequires: XFree86-devel hostinfo

Summary(ru_RU.UTF-8): %name - готовая к работе утилита для мониторинга материнской платы.


#%description
#  Recent motherboards have functionalities to monitor the CPU
#temperatures and the frequency of CPU cooling fans etc.  
#This package has two small programs.  They have only least functionalities,
#the one "mbmon" used at the command line reports the temperatures,
#voltages and rpm (rounds per minute) of cooling fans, and the
#other "xmbmon" displays the three temperatures and a core voltage
#as simple curves.
#Xmbmon doesn't require loading of additional kernel modules as lm_sensors do.

%description
  Recent motherboards have functionalities to monitor the CPU
temperatures and the frequency of CPU cooling fans etc.  
This package has a small program "xmbmon" with only least functionalities,
"xmbmon" displays the three temperatures and a core voltage
as simple curves.
Xmbmon doesn't require loading of additional kernel modules as lm_sensors do.

There is the other program "mbmon" in a separate package that
used at the command line reports the temperatures,
voltages and rpm (rounds per minute) of cooling fans.


%package -n mbmon
Group:       Monitoring
Summary:     mbmon - Hardware monitoring without kernel dependencies
Summary(ru_RU.UTF-8): mbmon - готовая к работе утилита для мониторинга материнской платы.

%description -n mbmon
  Recent motherboards have functionalities to monitor the CPU
temperatures and the frequency of CPU cooling fans etc.  
This package has a small program "mbmon" with only least functionalities,
"mbmon" used at the command line reports the temperatures,
voltages and rpm (rounds per minute) of cooling fans.
mbmon doesn't require loading of additional kernel modules as lm_sensors do.

There is the other program "xmbmon" in a separate package that
displays the three temperatures and a core voltage as simple curves.

%prep
%setup -n %name%version
%patch -p1

# quick hack for #
sed -i 's,-adobe-helvetica,-*-helvetica,' ./xmbmon.c 

%build
%configure
%make_build

%install
#makeinstall
%__install -D %name $RPM_BUILD_ROOT%_bindir/%name
%__install -D mbmon $RPM_BUILD_ROOT%_bindir/mbmon
%__install -D mbmon.1 $RPM_BUILD_ROOT%_man1dir/mbmon.1
%__install -D xmbmon.1x $RPM_BUILD_ROOT%_man1dir/xmbmon.1x

%__install -D -m644 %SOURCE2 $RPM_BUILD_ROOT%_miconsdir/%name.xpm
%__install -D -m644 %SOURCE3 $RPM_BUILD_ROOT%_niconsdir/%name.xpm
%__install -D -m644 %SOURCE4 $RPM_BUILD_ROOT%_liconsdir/%name.xpm

mkdir -p $RPM_BUILD_ROOT%_desktopdir
cat > $RPM_BUILD_ROOT%_desktopdir/%{name}.desktop <<EOF
[Desktop Entry]
Version=1.0
Type=Application
Name=Xmbmon
GenericName=Motherboard monitor
Comment=%{summary}
Icon=%{name}
Exec=%{name}
Terminal=false
Categories=System;Monitor;
EOF

%files
%doc ReadMe* CopyRight xmbmon.resources
%attr(4711,root,root) %_bindir/%name
%_man1dir/%{name}*
%_desktopdir/%{name}.desktop
%_miconsdir/%name.xpm
%_niconsdir/%name.xpm
%_liconsdir/%name.xpm

%files -n mbmon
%attr(4711,root,root) %_bindir/mbmon
%_man1dir/mbmon*

%changelog
* Sat Mar 26 2011 Igor Vlasenko <viy@altlinux.ru> 205-alt9
- converted debian menu to freedesktop

* Tue Nov 03 2009 Igor Vlasenko <viy@altlinux.ru> 205-alt8
- changed font (closes: #20372)

* Wed Nov 19 2008 Igor Vlasenko <viy@altlinux.ru> 205-alt7.1
- NMU (by repocop): the following fixes applied:
 * update_menus for xmbmon

* Fri Apr 04 2008 Igor Vlasenko <viy@altlinux.ru> 205-alt7
- refreshed buildreq

* Tue Mar 04 2008 Igor Vlasenko <viy@altlinux.ru> 205-alt6
- rebuild with new values of _?iconsdir

* Tue Feb 14 2006 Igor Vlasenko <viy@altlinux.ru> 205-alt5
- mbmon and xmbmon are split

* Wed Feb 08 2006 Igor Vlasenko <viy@altlinux.ru> 205-alt4
- moved from _x11dirs to usual dirs

* Mon Feb 06 2006 Igor Vlasenko <viy@altlinux.ru> 205-alt3
- s/xorg-x11-devel-static/xorg-x11-devel/

* Thu Feb 24 2005 Igor Vlasenko <viy@altlinux.ru> 205-alt2
- refixed permissions and added icons

* Fri Feb 18 2005 Igor Vlasenko <viy@altlinux.ru> 205-alt1.1
- fixed files and permissions

* Mon Feb 14 2005 Igor Vlasenko <viy@altlinux.ru> 205-alt1
- Initial ALTLinux build
